Package ru.bitel.bgbilling.modules.psb.server.bean

# Class Constants

java.lang.Object
ru.bitel.bgbilling.common.bean.BGBaseConstants
ru.bitel.bgbilling.modules.psb.server.bean.Constants

public class Constants extends BGBaseConstants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `KEY_PSB_ADD_CONTRACT_ID`
  `static final String`
  `KEY_PSB_AUTOPAYMENT_ENABLE`
  `static final String`
  `KEY_PSB_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT`
  `static final String`
  `KEY_PSB_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX`
  `static final String`
  `KEY_PSB_AUTOPAYMENT_MODE_AUTO_ENABLE`
  `static final String`
  `KEY_PSB_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT`
  `static final String`
  `KEY_PSB_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX`
  `static final String`
  `KEY_PSB_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT`
  `static final String`
  `KEY_PSB_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX`
  `static final String`
  `KEY_PSB_AUTOPAYMENT_MODE_DEFAULT`
  `static final String`
  `KEY_PSB_AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT`
  `static final String`
  `KEY_PSB_AUTOPAYMENT_MODE_MONTH_ENABLE`
  `static final String`
  `KEY_PSB_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT`
  `static final String`
  `KEY_PSB_AUTOPAYMENT_MODE_MONTH_SUM_MAX`
  `static final String`
  `KEY_PSB_AUTOPAYMENT_MODE_MONTH_SUM_MIN`
  `static final String`
  `KEY_PSB_AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT`
  `static final String`
  `KEY_PSB_AUTOPAYMENT_MODE_WEEK_ENABLE`
  `static final String`
  `KEY_PSB_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT`
  `static final String`
  `KEY_PSB_AUTOPAYMENT_MODE_WEEK_SUM_MAX`
  `static final String`
  `KEY_PSB_AUTOPAYMENT_MODE_WEEK_SUM_MIN`
  `static final String`
  `KEY_PSB_AUTOPAYMENT_RECURENT_CHAIN_ID`
  `static final String`
  `KEY_PSB_AUTOPAYMENT_RECURENT_CHAIN_INT_REF`
  `static final String`
  `KEY_PSB_AUTOPAYMENT_RECURENT_CHAIN_PRN`
  `static final String`
  `KEY_PSB_AUTOPAYMENT_REST_USER_NAME`
  `static final String`
  `KEY_PSB_AUTOPAYMENT_REST_USER_PSWD`
  `static final String`
  `KEY_PSB_BACK_URL`
  `static final String`
  `KEY_PSB_CHARGE_COMMENT`
  `static final String`
  `KEY_PSB_CHARGE_TYPE_ID`
  `static final String`
  `KEY_PSB_COMMENT`
  `static final String`
  `KEY_PSB_DESCRIPTION`
  `static final String`
  `KEY_PSB_EMAIL`
  `static final String`
  `KEY_PSB_GATE_URL`
  `static final String`
  `KEY_PSB_KEY`
  `static final String`
  `KEY_PSB_MERCHANT`
  `static final String`
  `KEY_PSB_MERCHANT_NAME`
  `static final String`
  `KEY_PSB_NOTIFY_URL`
  `static final String`
  `KEY_PSB_PASSWORD`
  `static final String`
  `KEY_PSB_PAYMENT_COMMENT`
  `static final String`
  `KEY_PSB_PAYMENT_TYPE_ID`
  `static final String`
  `KEY_PSB_RECUR_EXP`
  `static final String`
  `KEY_PSB_RECUR_FREQ`
  `static final String`
  `KEY_PSB_SECRET`
  `static final String`
  `KEY_PSB_SIGN_ALG`
  `static final String`
  `KEY_PSB_SUM_MAX`
  `static final String`
  `KEY_PSB_SUM_MIN`
  `static final String`
  `KEY_PSB_TERMINAL`
  `static final String`
  `KEY_PSB_URL_RETURN_NO`
  `static final String`
  `KEY_PSB_URL_RETURN_OK`
  `static final String`
  `PARAM_AMOUNT`
  `static final String`
  `PARAM_AUTHCODE`
  `static final String`
  `PARAM_BACKREF`
  `static final String`
  `PARAM_CARD`
  `static final String`
  `PARAM_CHANNEL`
  `static final String`
  `PARAM_CURRENCY`
  `static final String`
  `PARAM_DESC`
  `static final String`
  `PARAM_EMAIL`
  `static final String`
  `PARAM_INT_REF`
  `static final String`
  `PARAM_MERCH_NAME`
  `static final String`
  `PARAM_MERCHANT`
  `static final String`
  `PARAM_NONCE`
  `static final String`
  `PARAM_NOTIFY_URL`
  `static final String`
  `PARAM_ORDER`
  `static final String`
  `PARAM_ORG_AMOUNT`
  `static final String`
  `PARAM_P_SIGN`
  `static final String`
  `PARAM_RC`
  `static final String`
  `PARAM_RCTEXT`
  `static final String`
  `PARAM_RECUR_EXP`
  `static final String`
  `PARAM_RECUR_FREQ`
  `static final String`
  `PARAM_RECUR_REF`
  `static final String`
  `PARAM_RESULT`
  `static final String`
  `PARAM_RRN`
  `static final String`
  `PARAM_TERMINAL`
  `static final String`
  `PARAM_TIMESTAMP`
  `static final String`
  `PARAM_TRTYPE`
  `static final String[]`
  `PARAMS`
  `static final String[]`
  `PARAMS_REG_CHAIN`
  `static final String[]`
  `PARAMS_REG_RECUR`
  `static final int`
  `PSB_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT`
  `static final int`
  `PSB_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX`
  `static final int`
  `PSB_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT`
  `static final int`
  `PSB_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX`
  `static final int`
  `PSB_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT`
  `static final int`
  `PSB_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX`
  `static final int`
  `PSB_AUTOPAYMENT_MODE_DEFAULT`
  `static final int`
  `PSB_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT`
  `static final int`
  `PSB_AUTOPAYMENT_MODE_MONTH_SUM_MAX`
  `static final int`
  `PSB_AUTOPAYMENT_MODE_MONTH_SUM_MIN`
  `static final int`
  `PSB_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT`
  `static final int`
  `PSB_AUTOPAYMENT_MODE_WEEK_SUM_MAX`
  `static final int`
  `PSB_AUTOPAYMENT_MODE_WEEK_SUM_MIN`
  `static final String`
  `PSB_CHARGE_COMMENT`
  `static final String`
  `PSB_COMMENT`
  `static final String`
  `PSB_CURRENCY`
  `static final String`
  `PSB_DESCRIPTION`
  `static final String`
  `PSB_GATE_URL`
  `static final int`
  `PSB_LIFETIME`
  `static final String`
  `PSB_PAYMENT_COMMENT`
  `static final int`
  `PSB_RECUR_EXP`
  `static final int`
  `PSB_SUM_MAX`
  `static final int`
  `PSB_SUM_MIN`

  ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_ID, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_CUSTOMER_ADDRESS, KEY_CUSTOMER_ADDRESS_ENABLE, KEY_CUSTOMER_ADDRESS_REQUIRED, KEY_CUSTOMER_ADDRESS_TITLE, KEY_CUSTOMER_EMAIL, KEY_CUSTOMER_EMAIL_ENABLE, KEY_CUSTOMER_EMAIL_REQUIRED, KEY_MONTH, KEY_PAGE, KEY_PAYMENT_PHONE, KEY_PERIOD, KEY_STATUS, KEY_STATUS_LIST, KEY_SUM_MAX, KEY_SUM_MIN, KEY_TRANSACTIONS, KEY_YEAR, PATTERN_CARD, PATTERN_CONTRACT_COMMENT, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_CUSTOMER_ADDRESS, REQUEST_PARAM_CUSTOMER_EMAIL, REQUEST_PARAM_MONTH, REQUEST_PARAM_PAYMENT_EMAIL, REQUEST_PARAM_PAYMENT_PHONE, REQUEST_PARAM_STATUS, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR, STRING_AMP, STRING_EQUALS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constants()`

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `getIntConstantByName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PSB_RECUR_EXP

    public static final int PSB_RECUR_EXP
    See Also:
      - Constant Field Values

  - ### PSB_LIFETIME

    public static final int PSB_LIFETIME
    See Also:
      - Constant Field Values

  - ### PSB_SUM_MIN

    public static final int PSB_SUM_MIN
    See Also:
      - Constant Field Values

  - ### PSB_SUM_MAX

    public static final int PSB_SUM_MAX
    See Also:
      - Constant Field Values

  - ### PSB_AUTOPAYMENT_MODE_DEFAULT

    public static final int PSB_AUTOPAYMENT_MODE_DEFAULT
    See Also:
      - Constant Field Values

  - ### PSB_AUTOPAYMENT_MODE_WEEK_SUM_MIN

    public static final int PSB_AUTOPAYMENT_MODE_WEEK_SUM_MIN
    See Also:
      - Constant Field Values

  - ### PSB_AUTOPAYMENT_MODE_WEEK_SUM_MAX

    public static final int PSB_AUTOPAYMENT_MODE_WEEK_SUM_MAX
    See Also:
      - Constant Field Values

  - ### PSB_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT

    public static final int PSB_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### PSB_AUTOPAYMENT_MODE_MONTH_SUM_MIN

    public static final int PSB_AUTOPAYMENT_MODE_MONTH_SUM_MIN
    See Also:
      - Constant Field Values

  - ### PSB_AUTOPAYMENT_MODE_MONTH_SUM_MAX

    public static final int PSB_AUTOPAYMENT_MODE_MONTH_SUM_MAX
    See Also:
      - Constant Field Values

  - ### PSB_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT

    public static final int PSB_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### PSB_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX

    public static final int PSB_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX
    See Also:
      - Constant Field Values

  - ### PSB_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT

    public static final int PSB_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### PSB_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX

    public static final int PSB_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX
    See Also:
      - Constant Field Values

  - ### PSB_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT

    public static final int PSB_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### PSB_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX

    public static final int PSB_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX
    See Also:
      - Constant Field Values

  - ### PSB_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT

    public static final int PSB_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### PSB_COMMENT

    public static final String PSB_COMMENT
    See Also:
      - Constant Field Values

  - ### PSB_CURRENCY

    public static final String PSB_CURRENCY
    See Also:
      - Constant Field Values

  - ### PSB_GATE_URL

    public static final String PSB_GATE_URL
    See Also:
      - Constant Field Values

  - ### PSB_CHARGE_COMMENT

    public static final String PSB_CHARGE_COMMENT
    See Also:
      - Constant Field Values

  - ### PSB_PAYMENT_COMMENT

    public static final String PSB_PAYMENT_COMMENT
    See Also:
      - Constant Field Values

  - ### PSB_DESCRIPTION

    public static final String PSB_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### KEY_PSB_KEY

    public static final String KEY_PSB_KEY
    See Also:
      - Constant Field Values

  - ### KEY_PSB_EMAIL

    public static final String KEY_PSB_EMAIL
    See Also:
      - Constant Field Values

  - ### KEY_PSB_SECRET

    public static final String KEY_PSB_SECRET
    See Also:
      - Constant Field Values

  - ### KEY_PSB_SIGN_ALG

    public static final String KEY_PSB_SIGN_ALG
    See Also:
      - Constant Field Values

  - ### KEY_PSB_SUM_MIN

    public static final String KEY_PSB_SUM_MIN
    See Also:
      - Constant Field Values

  - ### KEY_PSB_SUM_MAX

    public static final String KEY_PSB_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_PSB_COMMENT

    public static final String KEY_PSB_COMMENT
    See Also:
      - Constant Field Values

  - ### KEY_PSB_BACK_URL

    public static final String KEY_PSB_BACK_URL
    See Also:
      - Constant Field Values

  - ### KEY_PSB_NOTIFY_URL

    public static final String KEY_PSB_NOTIFY_URL
    See Also:
      - Constant Field Values

  - ### KEY_PSB_GATE_URL

    public static final String KEY_PSB_GATE_URL
    See Also:
      - Constant Field Values

  - ### KEY_PSB_TERMINAL

    public static final String KEY_PSB_TERMINAL
    See Also:
      - Constant Field Values

  - ### KEY_PSB_MERCHANT

    public static final String KEY_PSB_MERCHANT
    See Also:
      - Constant Field Values

  - ### KEY_PSB_PASSWORD

    public static final String KEY_PSB_PASSWORD
    See Also:
      - Constant Field Values

  - ### KEY_PSB_RECUR_EXP

    public static final String KEY_PSB_RECUR_EXP
    See Also:
      - Constant Field Values

  - ### KEY_PSB_RECUR_FREQ

    public static final String KEY_PSB_RECUR_FREQ
    See Also:
      - Constant Field Values

  - ### KEY_PSB_URL_RETURN_OK

    public static final String KEY_PSB_URL_RETURN_OK
    See Also:
      - Constant Field Values

  - ### KEY_PSB_URL_RETURN_NO

    public static final String KEY_PSB_URL_RETURN_NO
    See Also:
      - Constant Field Values

  - ### KEY_PSB_CHARGE_TYPE_ID

    public static final String KEY_PSB_CHARGE_TYPE_ID
    See Also:
      - Constant Field Values

  - ### KEY_PSB_CHARGE_COMMENT

    public static final String KEY_PSB_CHARGE_COMMENT
    See Also:
      - Constant Field Values

  - ### KEY_PSB_PAYMENT_TYPE_ID

    public static final String KEY_PSB_PAYMENT_TYPE_ID
    See Also:
      - Constant Field Values

  - ### KEY_PSB_PAYMENT_COMMENT

    public static final String KEY_PSB_PAYMENT_COMMENT
    See Also:
      - Constant Field Values

  - ### KEY_PSB_ADD_CONTRACT_ID

    public static final String KEY_PSB_ADD_CONTRACT_ID
    See Also:
      - Constant Field Values

  - ### KEY_PSB_DESCRIPTION

    public static final String KEY_PSB_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### KEY_PSB_MERCHANT_NAME

    public static final String KEY_PSB_MERCHANT_NAME
    See Also:
      - Constant Field Values

  - ### KEY_PSB_AUTOPAYMENT_ENABLE

    public static final String KEY_PSB_AUTOPAYMENT_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_PSB_AUTOPAYMENT_REST_USER_NAME

    public static final String KEY_PSB_AUTOPAYMENT_REST_USER_NAME
    See Also:
      - Constant Field Values

  - ### KEY_PSB_AUTOPAYMENT_REST_USER_PSWD

    public static final String KEY_PSB_AUTOPAYMENT_REST_USER_PSWD
    See Also:
      - Constant Field Values

  - ### KEY_PSB_AUTOPAYMENT_MODE_DEFAULT

    public static final String KEY_PSB_AUTOPAYMENT_MODE_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_PSB_AUTOPAYMENT_MODE_WEEK_ENABLE

    public static final String KEY_PSB_AUTOPAYMENT_MODE_WEEK_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_PSB_AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT

    public static final String KEY_PSB_AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_PSB_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT

    public static final String KEY_PSB_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_PSB_AUTOPAYMENT_MODE_WEEK_SUM_MIN

    public static final String KEY_PSB_AUTOPAYMENT_MODE_WEEK_SUM_MIN
    See Also:
      - Constant Field Values

  - ### KEY_PSB_AUTOPAYMENT_MODE_WEEK_SUM_MAX

    public static final String KEY_PSB_AUTOPAYMENT_MODE_WEEK_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_PSB_AUTOPAYMENT_MODE_MONTH_ENABLE

    public static final String KEY_PSB_AUTOPAYMENT_MODE_MONTH_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_PSB_AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT

    public static final String KEY_PSB_AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_PSB_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT

    public static final String KEY_PSB_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_PSB_AUTOPAYMENT_MODE_MONTH_SUM_MIN

    public static final String KEY_PSB_AUTOPAYMENT_MODE_MONTH_SUM_MIN
    See Also:
      - Constant Field Values

  - ### KEY_PSB_AUTOPAYMENT_MODE_MONTH_SUM_MAX

    public static final String KEY_PSB_AUTOPAYMENT_MODE_MONTH_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_PSB_AUTOPAYMENT_MODE_AUTO_ENABLE

    public static final String KEY_PSB_AUTOPAYMENT_MODE_AUTO_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_PSB_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT

    public static final String KEY_PSB_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_PSB_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX

    public static final String KEY_PSB_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_PSB_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT

    public static final String KEY_PSB_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_PSB_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX

    public static final String KEY_PSB_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_PSB_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT

    public static final String KEY_PSB_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_PSB_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX

    public static final String KEY_PSB_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_PSB_AUTOPAYMENT_RECURENT_CHAIN_ID

    public static final String KEY_PSB_AUTOPAYMENT_RECURENT_CHAIN_ID
    See Also:
      - Constant Field Values

  - ### KEY_PSB_AUTOPAYMENT_RECURENT_CHAIN_PRN

    public static final String KEY_PSB_AUTOPAYMENT_RECURENT_CHAIN_PRN
    See Also:
      - Constant Field Values

  - ### KEY_PSB_AUTOPAYMENT_RECURENT_CHAIN_INT_REF

    public static final String KEY_PSB_AUTOPAYMENT_RECURENT_CHAIN_INT_REF
    See Also:
      - Constant Field Values

  - ### PARAM_RC

    public static final String PARAM_RC
    See Also:
      - Constant Field Values

  - ### PARAM_RRN

    public static final String PARAM_RRN
    See Also:
      - Constant Field Values

  - ### PARAM_CARD

    public static final String PARAM_CARD
    See Also:
      - Constant Field Values

  - ### PARAM_DESC

    public static final String PARAM_DESC
    See Also:
      - Constant Field Values

  - ### PARAM_EMAIL

    public static final String PARAM_EMAIL
    See Also:
      - Constant Field Values

  - ### PARAM_ORDER

    public static final String PARAM_ORDER
    See Also:
      - Constant Field Values

  - ### PARAM_NONCE

    public static final String PARAM_NONCE
    See Also:
      - Constant Field Values

  - ### PARAM_TRTYPE

    public static final String PARAM_TRTYPE
    See Also:
      - Constant Field Values

  - ### PARAM_P_SIGN

    public static final String PARAM_P_SIGN
    See Also:
      - Constant Field Values

  - ### PARAM_AMOUNT

    public static final String PARAM_AMOUNT
    See Also:
      - Constant Field Values

  - ### PARAM_RESULT

    public static final String PARAM_RESULT
    See Also:
      - Constant Field Values

  - ### PARAM_RCTEXT

    public static final String PARAM_RCTEXT
    See Also:
      - Constant Field Values

  - ### PARAM_CHANNEL

    public static final String PARAM_CHANNEL
    See Also:
      - Constant Field Values

  - ### PARAM_BACKREF

    public static final String PARAM_BACKREF
    See Also:
      - Constant Field Values

  - ### PARAM_INT_REF

    public static final String PARAM_INT_REF
    See Also:
      - Constant Field Values

  - ### PARAM_AUTHCODE

    public static final String PARAM_AUTHCODE
    See Also:
      - Constant Field Values

  - ### PARAM_CURRENCY

    public static final String PARAM_CURRENCY
    See Also:
      - Constant Field Values

  - ### PARAM_TERMINAL

    public static final String PARAM_TERMINAL
    See Also:
      - Constant Field Values

  - ### PARAM_MERCHANT

    public static final String PARAM_MERCHANT
    See Also:
      - Constant Field Values

  - ### PARAM_TIMESTAMP

    public static final String PARAM_TIMESTAMP
    See Also:
      - Constant Field Values

  - ### PARAM_RECUR_REF

    public static final String PARAM_RECUR_REF
    See Also:
      - Constant Field Values

  - ### PARAM_RECUR_EXP

    public static final String PARAM_RECUR_EXP
    See Also:
      - Constant Field Values

  - ### PARAM_NOTIFY_URL

    public static final String PARAM_NOTIFY_URL
    See Also:
      - Constant Field Values

  - ### PARAM_RECUR_FREQ

    public static final String PARAM_RECUR_FREQ
    See Also:
      - Constant Field Values

  - ### PARAM_ORG_AMOUNT

    public static final String PARAM_ORG_AMOUNT
    See Also:
      - Constant Field Values

  - ### PARAM_MERCH_NAME

    public static final String PARAM_MERCH_NAME
    See Also:
      - Constant Field Values

  - ### PARAMS

    public static final String[] PARAMS

  - ### PARAMS_REG_CHAIN

    public static final String[] PARAMS_REG_CHAIN

  - ### PARAMS_REG_RECUR

    public static final String[] PARAMS_REG_RECUR

- ## Constructor Details

  - ### Constants

    public Constants()